# IRIS

## Overview
IRIS is a WoT (Web of Trust) based social networking app.  It includes libraries for reading messages and indexes, and several demo applications for chat and microblogging.

### Identity
Uses WoT attestations to link human readable names to key-pair and other identity attributes.

### Networking/Message passing
Uses GUN for networking and data storage.  (stores locally on users' machines without a server)

### Data Storage/Message Persistance
Also uses IPFS for attachments and message backups.

### Moderation/Reputation
Users only see messages in their WoT, that is, from users who have been upvoted by someone in a chain from someone they upvoted. Downvotes are also possible.

### Social/Discovery
Real name search.

### Privacy and Access Control
A keypair is created for each account.

### Monetization
Donation supported.

### User experience (if applies)
Similar to other microblogging platforms, with mobile & desktop clients.  Relies on finding/knowing your contacts in order to see messages.  It is necessary to reach out to contacts to ask them to add you to see your messages.

### Interop with other systems
Provides a library for the message layer that could be reused.  

Also allows importing content from other sources, based on attestations of the author's identity.
"For example, a crawler can import and sign other people's messages from Twitter. Only the users who trust the crawler will see the messages." (not sure how to find the crawler in order to trust it?)

### Scalability

### Metrics
??

### In the wild
Demos: 
    [https://iris.to/](https://iris.to/) decentralized chat
    [https://social.iris.to/](https://social.iris.to/)  Angular version

### Links

Code: [github.com/irislib/iris](https://github.com/irislib/iris)

[Learning to Trust Strangers](https://medium.com/@mmalmi/learning-to-trust-strangers-167b652a654f)

