# Ecosystem Overview

We can structure the overview by topic and by protocols. It is easier to write up overviews by protocol, but organizing information by topic will be more helpful when making design decisions and evaluating relevance.

## Protocols:

The protocols directory contains summaries of existing projects. Anyone can add new files summarizing a project or subject area they find interesting. The lists below are of current projects, but there is also value in summarizing historical projects that are no longer in use.

Lists of decentralized web projects.

[Redecentralize](https://github.com/redecentralize/alternative-internet)
[Decentralized Web projects by gdamdam](https://github.com/gdamdam/awesome-decentralized-web)
[DIDs](https://github.com/didecentral/didecentral.github.io)

Overviews of decentralized social networks

[Decentralized Social Networks](https://medium.com/@jaygraber/decentralized-social-networks-e5a7a2603f53)
[Blockchain Social Networks](https://medium.com/@jaygraber/blockchain-social-networks-c941fb337970)

## Topics:

This is a suggested list of how we could organize by topic in the `topics` directory.

This section will be structured as comparisons between how protocols handle these core topics. Under each topic, we can address how existing protocols and projects have addressed it. Can evaluate pros and cons, as well as include concepts from projects not covered more in depth elsewhere.

#### Network structure

- Federation
  - Messages passed between systems
  - Data replicated between systems
- P2p
- Hybrid

#### Identity

- Decentralized identity
- Key management
  - Key verification
  - Key backup
- Reputation, Trust
- Account recovery
- Privacy

#### Data

- Data models
- Data availability

#### Monetization

- Business models
- Payment

#### Filtering

- Queries
- Curation

#### Moderation

- Protocol level
- Server level
- User level
- Content level

#### Governance

- Upgrading protocols
- Organizational structure

## Contributions

Thanks for contributions from: (alphabetize when done)
Burak Nehbit
Eugen Rochko
Golda Velez
Molly MacKinley
Matthew Hodgson
Mark Nadal
Sarven Capadisli
Paul Frazee
Ian Preston
Rahul Kothari
