# Decentralized Governance

May sound like an oxymoron - but in order for the decentralized web to work, decisions have to be made about protocols, moderation, design and many other topics.  

The purpose of this doc is to overview how existing projects govern themselves, and how decisions and compromises have been made in the past.  

### SocialWeb
Negotiations between numerous parties ending with the design of ActivityPub. Consensus based?

### Mastodon
Federated system.  Each server admin can create their own moderation rules as well as a theme for their server, publish their TOS which may include rules about whether data can leave the server, etc.  Users choose which server to join.

No formal project-wide code of conduct/bylaws, more work talks

### Matrix
Uses a vote of confidence in a nonprofit foundation to periodically review the leaders.  In the interim functions similar to a standard nonprofit with leadership making decisions?

Servers in Matrix also have terms of use that users agree to when they join.  Rooms may have moderators who can remove people from individual rooms.

### Links and more examples 
(some are from the discussions at Mastodon on whether to have a formal structure)

[How the Node.js Foundation Utilizes Participatory Governance to Build Its Community] (https://thenewstack.io/node-js-foundation-utilizing-participatory-governance-models/) - more about opening commit rights to the repo earlier and more quickly?

[Debian Constitution](https://www.debian.org/devel/constitution)

[Roads and Bridges](https://www.fordfoundation.org/work/learning/research-reports/roads-and-bridges-the-unseen-labor-behind-our-digital-infrastructure/)  <- that link is the summary, it is a full eBook

[Apache Foundation Governance](https://www.apache.org/foundation/governance/)
"The Apache Way - merit, consensus, community, charity"
Similar to a standard corporation.

[Wikipedia original statement of principles](https://en.wikipedia.org/w/index.php?oldid=409315229)
"Wikipedia's success to date is 100% a function of our open community...Newcomers are always to be welcomed."

### Blockchain governance
(blockchain, because of the inherent ability to count and vote, has a lot of possible governance solutions; most blockchain projects do not actually use blockchain for governance however)

Dash and Decred are two that may be of interest

[Decentralized Network Governance: Blockchain Technology and the Future of Regulation](https://www.frontiersin.org/articles/10.3389/fbloc.2020.00012/full)

concepts: DAOs (decentralized autonomous organizations)

[Bitcoin and the Rise of Decentralized Autonomous Organizations](https://www.researchgate.net/publication/326816667_Bitcoin_and_the_Rise_of_Decentralized_Autonomous_Organizations)


### Of possible interest

[SlicingPie - a 'perfectly fair' equity split](https://slicingpie.com/)

[Gitcoin](https://gitcoin.co/) - bounties for git issues - could include decision making equity

[Code is Law](https://www.harvardmagazine.com/2000/01/code-is-law-html) - 2000 essay by Lawrence Lessig, not directly applicable but has some important concepts
"Information from Bosnia or East Timor can flow freely to the world because the Net makes it hard for governments in those countries to control how information flows....We should interrogate the architecture of cyberspace as we interrogate the code of Congress....Unless we do, or unless we learn how, the relevance of our constitutional tradition will fade. The importance of our commitment to fundamental values, through a self-consciously enacted constitution, will fade."