# Zeronet

Zeronet is a browser for a decentralized network built on BitTorrent and Bitcoin. Instead of having IP addresses, Zeronet site addresses are Bitcoin public keys.

Example sites created on Zeronet include ZeroTalk (like Reddit), ZeroBlog (microblogging), ZeroMail (encrypted mail), and ZeroMe (p2p social network).

ZeroMe is a proof-of-concept that demonstrates how to build a Twitter-like site in a decentralized browser. It has not received wide usage.

### Identity

The creator of a site signs the files with the private key, and the public key is the site address. This is a Bitcoin key which can be exported to a wallet, allowing funds to be sent to the address and collected by the site creator. Zeronet domains end in `.bit`.

ZeroId is an authorization provider that lets you interact with sites without contacting the owner, and is used for sites with user interaction like ZeroMe.

### Networking/Message passing

Zeronet uses the BitTorrent network to find peers that are seeding the site to download the site content from. When a user visits a site, they download the site files. Once they've visited, they start serving that site as well, seeding it to others.

### Data Storage/Message Persistence

Zeronet uses BitTorrent trackers and its own variety of trackers (zero://).

### Moderation/Reputation

Blacklists are opt-in.

ZeroId provides some control over user accounts to fight spam, by limiting the number of registrations from an IP address.

### Social/Discovery

There are a few search engines for Zeronet, which have scraped and index the network. Zeronet addresses are commonly shared out-of-band.

### Privacy and Access Control

Sites that take user input, like ZeroMe, ask the user for permission to grant read/write access.

### User Experience

Zeronet's decentralized hosting design allows for one-click site cloning. Popular sites scale with demand, as visitors become seeders of site content as well.

### Interoperability

Despite being compared to Beaker Browser and IPFS, Zeronet does not interoperate with other sites, or even with BitTorrent.

Zeronet can be run over Tor for privacy. but it does not support .onion sites. I2P is not supported.

### Monetization

The Zeronet project relies on tips.

An interesting element of monetization in Zeronet is that the fact that site addresses are bitcoin addresses, which means that site owners can be tipped directly to the address. The owner can retrieve the funds by importing the private key into a bitcoin wallet.

### Links

[Zeronet](zeronet.io)
